# -*- coding: utf-8 -*-
import clr
import sys
import System

sys.path.append(UI.StartupPath+'\Script\Module\dll')
clr.AddReferenceToFile("EasyScript.dll")
from EasyScript import *
EasyScript = EasyScript()

UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※【免空科學研究所 　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】※")
UI.UpdateLog("※～㊣　　　　　　　　 　　傻Ｂ　　製作分享　　　　　　　㊣～※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.12")
UI.UpdateLog("【上傳空間】：fapomatic.com")
UI.UpdateLog("【上傳大小】：1 MB")
UI.UpdateLog("【砍檔時間】：未知")
UI.UpdateLog("【腳本功能】：無帳號上傳，帳號上傳")
UI.UpdateLog("【腳本備註】：支援各32/64位元Windows系列")
UI.UpdateLog("＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝",2)

URL="http://fapomatic.com/"
Login="http://fapomatic.com/index.php"

HTML=HTTP.GetURL(URL)
HTTP.AddPostParam("userLOG",UI.User)
HTTP.AddPostParam("passLOG",UI.Password)
HTML=HTTP.PostURL(Login,HTTP.PostData)
UI.UpdateLog("開始進入上傳頁面…",2)
up=EasyScript.GetstrToVariable(HTML,"input name='","'",1)
HTTP.AddFileReference(up)
HTML=UI.UpFile("http://fapomatic.com/upload.php")
DL_LINK=EasyScript.GetstrToVariable(HTML,"[URL=","]",1)
if DL_LINK!=False:
	UI.UpdateLog("＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝",2)
        UI.UpdateLog("下載連結：",4)
        UI.UpdateLog(DL_LINK)
        UI.AddShareLink(DL_LINK)
        UI.ProceSuccess()
else:
        UI.UpdateLog("無法取得網址",3)
        UI.ProceFalse()